Restore all settings to defaults
POST
/settings:restoreDefaults
const url = 'https://example.com/api/v1/settings:restoreDefaults';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/settings:restoreDefaultsRemoves every platform override (a factory reset). Gated by settings:update and platform:update.
Responses
Section titled “ Responses ”No Content
default
Section titled “default ”Error
Media type application/problem+json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "$schema": "/api/v1/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}